commit:     b948476637a17310a0d992d44d3473a34ea9b8c9
Author:     Arfrever Frehtes Taifersar Arahesis <Arfrever <AT> Apache <DOT> Org>
AuthorDate: Mon Sep 14 03:00:00 2020 +0000
Commit:     Mike Gilbert <floppym <AT> gentoo <DOT> org>
CommitDate: Tue Sep 15 18:33:37 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b9484766

dev-python/protobuf-python: Version bump (3.12.4).

Signed-off-by: Arfrever Frehtes Taifersar Arahesis <Arfrever <AT> Apache.Org>
Signed-off-by: Mike Gilbert <floppym <AT> gentoo.org>

 dev-python/protobuf-python/Manifest                |  1 +
 .../protobuf-python/protobuf-python-3.12.4.ebuild  | 63 ++++++++++++++++++++++
 2 files changed, 64 insertions(+)

diff --git a/dev-python/protobuf-python/Manifest 
b/dev-python/protobuf-python/Manifest
index 91e20f9553b..f3b3c57cb59 100644
--- a/dev-python/protobuf-python/Manifest
+++ b/dev-python/protobuf-python/Manifest
@@ -1,2 +1,3 @@
 DIST protobuf-3.11.4.tar.gz 5140799 BLAKE2B 
97b450c0623593efe6a42b66582ff183344b8831689e6a5b4d36096dbd57c33da9569bbf26578536aaf73ecd866ac0588b6cb7d55a6a9b9a6e840d4c57099001
 SHA512 
777bbb0e9e2375eaebe6b8c87abd660bac70ee469c9ad00dd25917b82d7fb5bbe33cf87f0d69c90e19d55c07a7285ec20974ba4768623ce9ccfadf147fd5e261
 DIST protobuf-3.12.2.tar.gz 5309688 BLAKE2B 
6f04ab75a165d8135b4c1de210f8698f56f309f73d664192209de10580e0ef850bf56f6f394b860f21912e341141f7bbb1f63198eaee55fd7ad74d86b00c3b1f
 SHA512 
84a349a1dcb5bce6a6a892cf11264390b557ed1e7b05883b71fa9cfb7460d9f73119da1f2861066869e33c752246ea438d5ce2c2b3ff7a4b07696d9450b7916b
+DIST protobuf-3.12.4.tar.gz 5310348 BLAKE2B 
2630941672963165467221843c10079a0ed966f2fdfcbc970b0b41e1ed3c7f78734496c1fbd3ec509c68999a14f637fff267b309cf82a8acf2bb5a948484f79b
 SHA512 
c5d24502b9a6be0a606a19213186fe462e0de6830547003636f0897781f36d0bd7e4e7d9689d96390a0399ce04b6438cda3a0fe6f97f0feb700a110e90beef0c

diff --git a/dev-python/protobuf-python/protobuf-python-3.12.4.ebuild 
b/dev-python/protobuf-python/protobuf-python-3.12.4.ebuild
new file mode 100644
index 00000000000..45575c8ab01
--- /dev/null
+++ b/dev-python/protobuf-python/protobuf-python-3.12.4.ebuild
@@ -0,0 +1,63 @@
+# Copyright 2008-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+PYTHON_COMPAT=(python{2_7,3_6,3_7,3_8,3_9})
+DISTUTILS_USE_SETUPTOOLS="manual"
+
+inherit distutils-r1
+
+if [[ "${PV}" == "9999" ]]; then
+       inherit git-r3
+
+       EGIT_REPO_URI="https://github.com/protocolbuffers/protobuf";
+       EGIT_SUBMODULES=()
+fi
+
+DESCRIPTION="Google's Protocol Buffers - Python bindings"
+HOMEPAGE="https://developers.google.com/protocol-buffers/ 
https://github.com/protocolbuffers/protobuf";
+if [[ "${PV}" == "9999" ]]; then
+       SRC_URI=""
+else
+       
SRC_URI="https://github.com/protocolbuffers/protobuf/archive/v${PV}.tar.gz -> 
protobuf-${PV}.tar.gz"
+fi
+
+LICENSE="BSD"
+SLOT="0/23"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86 
~amd64-linux ~x86-linux ~x64-macos ~x86-macos"
+IUSE=""
+
+BDEPEND="${PYTHON_DEPS}
+       ~dev-libs/protobuf-${PV}
+       dev-python/namespace-google[${PYTHON_USEDEP}]
+       dev-python/setuptools[${PYTHON_USEDEP}]
+       dev-python/six[${PYTHON_USEDEP}]"
+DEPEND="${PYTHON_DEPS}
+       ~dev-libs/protobuf-${PV}"
+RDEPEND="${BDEPEND}
+       !<dev-libs/protobuf-3[python(-)]"
+
+S="${WORKDIR}/protobuf-${PV}/python"
+
+if [[ "${PV}" == "9999" ]]; then
+       EGIT_CHECKOUT_DIR="${WORKDIR}/protobuf-${PV}"
+fi
+
+python_configure_all() {
+       mydistutilsargs=(--cpp_implementation)
+}
+
+python_compile() {
+       python_is_python3 || local -x CXXFLAGS="${CXXFLAGS} 
-fno-strict-aliasing"
+       distutils-r1_python_compile
+}
+
+python_test() {
+       esetup.py test
+}
+
+python_install_all() {
+       distutils-r1_python_install_all
+
+       find "${D}" -name "*.pth" -type f -delete || die
+}

Reply via email to